Bug 1317821 (CVE-2016-3183) - CVE-2016-3183 openjpeg: Out-of-bounds read in sycc422_to_rgb function
Summary: CVE-2016-3183 openjpeg: Out-of-bounds read in sycc422_to_rgb function
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-3183
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1317830 1317831 1317832
Blocks: 1317829
TreeView+ depends on / blocked
 
Reported: 2016-03-15 10:08 UTC by Adam Mariš
Modified: 2019-09-29 13:45 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-20 00:14:28 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-03-15 10:08:32 UTC
n our-of-bounds read vulnerability in sycc422_to_rgb function triggered by specially crafted JPEG2000 image file was found in openjpeg version 2016.03.14.

CVE request (contains reproducer):

http://seclists.org/oss-sec/2016/q1/632

Comment 1 Adam Mariš 2016-03-15 10:19:39 UTC
Created mingw-openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1317831]

Comment 2 Adam Mariš 2016-03-15 10:19:45 UTC
Created openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1317830]
Affects: epel-all [bug 1317832]

Comment 3 Andrej Nemec 2016-03-17 08:22:22 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/668

Comment 5 Fedora Update System 2016-07-14 14:51:46 UTC
openjpeg2-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-07-16 21:20:52 UTC
openjpeg2-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-18 18:27:05 UTC
mingw-openjpeg2-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-18 20:53:52 UTC
mingw-openjpeg2-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Doran Moppert 2016-09-13 08:17:20 UTC
Upstream ticket:

https://github.com/uclouvain/openjpeg/issues/726

Comment 10 Doran Moppert 2016-09-13 08:17:48 UTC
openjpeg-1 is not affected based on testing with the reproducer.  The code looks similar, but triggering the out-of-bounds condition seems to require component options that are not supported.

Chromium uses a C++ checked integer type here.


Note You need to log in before you can comment on or make changes to this bug.